register_trace_handler(3)

NAME
register_trace_handler

SYNOPSIS
#include <allegro.h>

void register_trace_handler(int (*handler)(char *msg));

DESCRIPTION
Supplies a custom handler function for dealing with trace output. Your callback will be passed a formatted error message in ASCII, and should return non-zero if it has processed the message, or zero to continue with the default actions. You could use this to ignore trace output, or to display the messages on a second monochrome monitor, etc.

SEE ALSO
al_trace(3), TRACE(3), register_assert_handler(3)